import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SelectTimeComponent implements OnInit {
    private renderer;
    dropDown: ElementRef;
    hourList: ElementRef;
    minuteList: ElementRef;
    timeInput: ElementRef;
    timeInputWrapper: ElementRef;
    defaultValue: string;
    formControl: FormControl;
    isDisabled: boolean;
    hours: string[];
    minutes: string[];
    selectedHour: string;
    selectedMinute: string;
    showDropDown: boolean;
    isValidValue: boolean;
    private controlSubscription;
    isShowError: boolean;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    togglePopup(event: MouseEvent): void;
    selectHour(hour: string): void;
    selectMinute(minute: string): void;
    closePopup(event: MouseEvent): void;
    initializeScroll(list: HTMLElement): void;
    scrollList(isHour: any): void;
    updateValues(event: any): void;
    checkAndSetClass(): void;
    setPreviousValue(): void;
    applyNewValues(hideDropDown?: boolean): void;
    private setValues;
    scrollToSelected(): void;
    toggleError(showError: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectTimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectTimeComponent, "app-select-time", never, { "defaultValue": "defaultValue"; "formControl": "formControl"; "isDisabled": "isDisabled"; }, {}, never, never, false>;
}
